function [ A ] = inverzeD( A )
% Vpoet inverzn matice pomoc LU rozkladu s stenou pivotac
% Inverze X je potna podle vztahu X = U^-1 * L^-1
%
%   [ X ] = inverzeD( A )
%   Vstup:  A ... regulrn matice n x n
%   Vstup: X ... inverzn matice A^-1
%
%   Datum posledn pravy: 16.8.2015, KF

[A, p] = luRozklad(A);
[n, ~] = size(A);
A = invU(triu(A)) * invL(eye(n) + tril(A, -1));
r(p) = 1 : n;
A = A(:, r);
end

