function [ b ] = slar( A, b )
% een soustavy linernch algebraickch rovnic s regulrn matic 
% pomoc LU rozkladu s stenou pivotac
%
%   [ x ] = slar( A, b )
%   Vstup:  A ... regulrn matice soustavy n x n
%           b ... vektor pravch stran n x 1
%   Vstup: x ... vektor een
%
%   Datum posledn pravy: 23.7.2015, KF

[n, ~] = size(A);
if any(size(b) ~= [n, 1])
    error ('Vektor pravch stran mus bt rozmru n x 1.')
end
% LU rozklad matice A
[A, p] = luRozklad(A);
% Permutace prvk vektoru b
b = b(p);
% een soustavy Ly = Pb pomoc pm substituce 
% (vektor y pepisuje vektor b)
for k = 2 : n
    b(k) = b(k) - A(k, 1 : k - 1) * b(1 : k - 1);
end
% een soustavy Ux = y pomoc zptn substituce 
% (vektor x pepisuje vektor b)
b(n) = b(n) / A(n, n);
for k = n - 1 : -1 : 1
    b(k) = (b(k) - A(k, k + 1 : n) * b(k + 1 : n)) / A(k, k);
end
end

