function [ L ] = invL( L )
% Vpoet inverze doln trojhelnkov matice
%
%   [ X ] = invL( L )
%   Vstup:  L ... doln trojhelnkov matice n x n
%   Vstup: X ... inverzn matice L^-1
%
%   Datum posledn pravy: 26.8.2015, KF

[n, ~] = size(L);
for j = n : -1 : 1
    L(j, j) = 1 / L(j, j);
    L(j + 1 : n, j) = L(j + 1 : n, j + 1 : n) * L(j + 1 : n, j);
    L(j + 1 : n, j) = -L(j, j) * L(j + 1 : n, j);
end
end

